## edu.cwru.SimpleRTS.Log
Class BirthLog

    java.lang.Object
      edu.cwru.SimpleRTS.Log.BirthLog

All Implemented Interfaces:
  java.io.Serializable

    public class BirthLog

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`BirthLog(int newunitid, int producerid, int player)`

Method Summary
`int` `getNewUnitID()`
`int` `getParentID()`
`int` `getPlayer()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BirthLog

    public BirthLog(int newunitid,
                    int producerid,
                    int player)

Method Detail

### getNewUnitID

    public int getNewUnitID()

### getPlayer

    public int getPlayer()

### getParentID

    public int getParentID()